1. Unibox
Plusvibe.ai API Documentation
  • Getting Started
    • Getting Started
    • Webhooks - Overview
    • Webhooks - Payload - Email Replies
    • Webhooks - Payload - Lead Marked As Label
    • Webhooks - Payload - Campaign Emails Sent
    • Webhooks - Payload - Bounced Email
    • Webhooks - Payload - Unibox Email Sent
    • Webhooks - Payload - System Alert
    • Workspace Deep Link Parameter
  • User API Endpoints
    • Workspace
      • Get workspaces
      • Add a new workspace
      • Copy workspace settings
      • Invite a user to a workspace
    • Campaign
      • Create a new campaign
      • Create a new subsequence
      • List campaigns (deprecated)
      • List all campaigns
      • Get campaign name
      • Get campaign status
      • Get campaign email accounts
      • Get campaign emails
      • Get campaign variation stats
      • Set campaign name
      • Set campaign Schedules (deprecated)
      • Activate campaign
      • Pause campaign
      • Update Campaign
      • Delete or archive a campaign
    • Lead
      • Add leads to a campaign
      • Add leads to a subsequence campaign
      • Get or search for lead
      • Delete leads from a campaign
      • Lead Variable/Label Update or Add
      • Fetch workspace leads
      • Update the status of a lead
      • Get lead counts by status
    • Email Account
      • List all email accounts in the workspace
      • Get email account status
      • Check account vitals
      • Enable Email account warmup
      • Pause Email account warmup
      • Delete Email account
      • Get Warmup Stats (Workspace-Level)
      • Bulk Add SMTP Accounts
      • Bulk Update Email Accounts
      • Bulk Update Email Account Warmup Status
      • Bulk Assign/Remove Tags from Email Accounts
      • Bulk reconnect email accounts
      • Get email account stats for a date range
      • Move Email Accounts to Another Workspace
    • Analytics
      • Get campaign summary
      • Get campaign count (deprecated)
      • Get campaign stats
      • Get all campaigns statistics
    • Unibox
      • Get email threads (conversations)
        GET
      • Get emails
        GET
      • Get emails in Others folder
        GET
      • Get count of unread emails
        GET
      • Reply to an email
        POST
      • Forward an existing email
        POST
      • Compose New Email
        POST
      • Mark Email Read
        POST
      • Send to any address
        POST
      • Save Email as Draft
        POST
      • Delete an Entire Email Thread
        DELETE
      • Delete a Single Email Message
        DELETE
    • Blocklist
      • Get entries in the blocklist
      • Adds entries to the blocklist
      • Delete entries in the blocklist
    • Webhook
      • Add a new webhook
      • List webhooks
      • Delete webhook(s)
    • Tags
      • List Tags
      • Create a New Tag
      • Update an Existing Tag
      • Delete Multiple Tags
    • Client Access
      • Create client
      • Edit client
      • Update client status
      • Delete client
      • List clients
    • Email Placement Test
      • Parent Recurring Test
        • Create a new parent test (recurring test)
        • Update a parent test
        • List all parent tests
        • Get parent test details
        • Delete parent test(s)
        • Duplicate a parent test
      • Child (Test Run) Test
        • List child (Test Run) tests
        • Get child test details
      • Results & Analytics
        • Get test summary
        • Get detailed test statistics
        • Get test result for a sender account
      • Get recipient providers
    • Workspace Additional Fields
      • List Additional Fields
      • Create Additional Field
      • Update Additional Field Default Value
      • Delete Additional Field
    • DFY
      • Search Domain Availability
      • List DFY Subscriptions
      • Generate Sender Identities (MS Enterprise)
      • Place a DFY Order
      • Cancel a DFY Subscription
    • Email Account Automation
      • List automation rules
      • Create automation rule
      • Update automation rule
      • Delete automation rule
      • Get automation rule
      • Enable / disable automation rule
      • Duplicate automation rule
    • Workspace Settings
      • Get Workspace Settings
      • Update Workspace Settings
      • List Lead Labels
      • Add Custom Lead Label
      • Delete Custom Lead Labels
    • Schemas
      • ScheduleV2
      • Campaign
      • EmailAccountId
      • WarmupStatus
      • BulkUpdateWarmupRequest
      • TagAction
      • BulkTagAssignmentRequest
      • ObjectId
      • HexColor
      • CreateTagRequest
      • UpdateTagRequest
      • DeleteTagsRequest
      • DeleteCampaignRequest
      • BulkReconnectRequest
      • SuccessResponse
      • ErrorResponse
      • ClientWorkspacePermission
      • CreateClientRequest
      • CreateClientResponse
      • UpdateClientRequest
      • ClientListItem
      • PatchClientStatusRequest
      • GenericSuccessResponse
      • ParentTest
      • ParentTestDetail
      • ChildTest
      • ChildTestDetail
      • VariationStepStats
      • VariationStats
      • CopyWorkspaceRequest
      • ResourceType
      • CopyWorkspaceResponse
      • EmailStatsResponse
      • EmailStatsHeader
      • EmailStatsChartPoint
      • ValidationErrorResponse
      • CheckSuccess
      • AuthFailure
  • For Email Infra Provider
    • Email Infra Provider Guide
    • List workspaces
    • List all email accounts in the workspace
    • Check if an email exists in another workspace
    • Initiate Google OAuth login flow
    • Initiate Microsoft OAuth login flow
    • Bulk Add SMTP Accounts (via Username and Password)
    • Schemas
      • AuthFailure
      • CheckSuccess
      • ErrorResponse
  1. Unibox

Delete an Entire Email Thread

DELETE
https://api.plusvibe.ai/api/v1/unibox/threads/delete
Deletes an entire Unibox email thread, including all messages within the thread.
This operation permanently removes the thread for the given workspace.

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
Body Params application/jsonRequired

Examples

Responses

🟢200OK
application/json
Thread deleted successfully
Bodyapplication/json

🟠400Bad Request
🟠401Unauthorized
🟠404Record Not Found
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request DELETE 'https://api.plusvibe.ai/api/v1/unibox/threads/delete' \
--header 'x-api-key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "thread_id": "694615cc04cfc790874a500b",
    "workspace_id": "65099a0dd96fae8ab61130c0"
}'
Response Response Example
{
    "status": "success"
}
Modified at 2026-07-26 17:00:38
Previous
Save Email as Draft
Next
Delete a Single Email Message
Built with